// pages/main/share.js
const server = require('../../utils/config.js').server;
const store_id = require('../../utils/config.js').store_id;
const app = getApp();
Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    msgs: [],
    saveok:0,
    name:'',
    phone:'',
    introduce:'',
    qr:'',
    imgs:[],
    indicatorDots: true,//是否显示面板指示点
    autoplay: false,//是否开启自动切换
    interval: 3000,//自动切换时间间隔
    duration: 1000,//滑动动画时长
    current: 0,
    nowimg:'',
    shareimgs: ['https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG', 'https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG', 'https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG', 'https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG', 'https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG', 'https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG', 'https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG', 'https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG', 'https://f.9026.com/upload/cover_pic/20190426/2c4617fb02440163218703ed8f621e66.JPG'],
    clickimg:0,
    current:0,
  },

  /**
   * 组件的方法列表
   */
  methods: {

    largeimg: function (e) {
      var id = e.currentTarget.id
      this.setData({
        clickimg: 1,
        current:id
      })
    },
    smallimg: function () {
      this.setData({
        clickimg: 0
      })
    },
    swiperChange: function (event) {
      var x = event.detail.current
      console.log(x)
      var imgs = this.data.imgs
      var img = imgs[x]
      this.setData({
        nowimg:img
      })
    },
    okbtn:function(){
      this.setData({
        saveok:0
      })
      wx.navigateBack({
        
      })
    },
    goback:function(){
      wx.navigateBack({
        
      })
    },
    baocun:function(){
      //获取相册授权
      var that = this
      wx.getSetting({
        success(res) {
          console.log(res)
          if (!res.authSetting['scope.writePhotosAlbum']) {
            wx.authorize({
              scope: 'scope.writePhotosAlbum',
              success() {
                console.log('授权成功')
                that.makeimg()
              },
              fail(){
                wx.showToast({
                  title: '无相册权限',
                });
              }
            })
          }else{
            console.log('res')
            that.makeimg()
          }
        }
      })
    },
    xiazai:function(img){
      var imgSrc =img
      var that = this
      wx.downloadFile({
        url: imgSrc,
        success: function (res) {
          console.log(res);
          //图片保存到本地
          wx.saveImageToPhotosAlbum({
            filePath: res.tempFilePath,
            success: function (data) {
              console.log(data)
              that.delimg(img)
            },
            fail: function (err) {
              console.log(err);
              if (err.errMsg === "saveImageToPhotosAlbum:fail auth deny") {
                console.log("当初用户拒绝，再次发起授权")
                wx.openSetting({
                  success(settingdata) {
                    console.log(settingdata)
                    if (settingdata.authSetting['scope.writePhotosAlbum']) {
                      console.log('获取权限成功，给出再次点击图片保存到相册的提示。')
                    } else {
                      console.log('获取权限失败，给出不给权限就无法正常使用的提示')
                    }
                  }
                })
              }
            },
            complete(res) {
              console.log(res);
            }
          })
        }
      })
    },
    delimg:function(img){
      var url = server + 'api/album_post/del';//制作海报
      var that = this
      app.request({
        url: url,
        method: 'post',
        data: {
          url: img
        },
        success: function (res) {
          console.log(res)
        },
        complete: function () {
          wx.hideLoading();
          wx.stopPullDownRefresh() //停止下拉刷新
        }
      })
    },
    makeimg:function(){
      var nowimg = this.data.nowimg
      var url = server + 'api/album_post/create';//制作海报
      var that = this
      that.setData({
        saveok: 1
      })
      app.request({
        url: url,
        method: 'post',
        data: {
          store_id:store_id,
          image:nowimg
        },
        success: function (res) {
          console.log(res)
          var img = res.data.data.real_url
          that.xiazai(img)
        },
        complete: function () {
          wx.hideLoading();
          wx.stopPullDownRefresh() //停止下拉刷新
        }
      })
    },
    onLoad: function (e) {
      if (e.go && e.go != null) {
        this.setData({
          go: e.go
        })
        wx.setStorageSync("go", '')
      }
      var url = server + 'api/album_post/info';//用户信息
      var that = this;
      app.request({
        url: url,
        method: 'post',
        data: {
          store_id:store_id
        },
        success: function (res) {
          console.log(res)
          if (res.data.message == "未登录!") {
            wx.redirectTo({
              url: '../index/login?go=' + e.go,
            })
          }
          var info = res.data.data.info
          var imgs = info.posters
          var msg = info.words
          var theimgs = JSON.parse(imgs)
          console.log(theimgs)
          var nowimg = theimgs[0]
          var msgs = JSON.parse(msg)
          console.log(msgs)
          that.setData({
            introduce:info.introduce,
            qr:info.qrcode,
            phone:info.phone,
            name:info.username,
            msgs:msgs,
            imgs:theimgs,
            nowimg:nowimg,
          })
        },
        complete: function () {
          wx.hideLoading();
          wx.stopPullDownRefresh() //停止下拉刷新
        }
      })
    },
    copyBtn: function (e) {
      var txt = e.currentTarget.dataset.txt
      var that = this;
      wx.setClipboardData({
        //准备复制的数据
        data: txt,
        success: function (res) {
          wx.showToast({
            title: '复制成功',
          });
        }
      });
    },
  }
})
